Assert$isMatrix {R.utils} | R Documentation

## Static method asserting thatan object is a matrix

### Description

Static method asserting thatan object is a matrix.

### Usage

    ## Static method (use this):
    ## Assert$isMatrix(x, nrow=NULL, ncol=NULL, ...)

    ## Don't use the below:
    ## S3 method for class 'Assert'
    isMatrix(static, x, nrow=NULL, ncol=NULL, ...)

### Arguments

`x` | Object to be checked.
`nrow` | Required number of rows. If `NULL`, this is not checked.
`ncol` | Required number of columns. If `NULL`, this is not checked.
`...` | Not used.

### Value

Returns (invisibly) `TRUE`, or throws an exception.

### Author(s)

Henrik Bengtsson

### See Also

For more information see `Assert`.

[Package R.utils version 2.6.0 Index]